extends Node2D
tool #allow rendering of selection box in the editor

const RED = Color("#ac3232")
const ORANGE = Color("#df7126")
const YELLOW = Color("#fbf236")
const GREEN = Color("99e550")
const TURQ = Color("#37946e")
const BLUE = Color("#5b6ee1")
const PURPLE = Color("#76428a")
const PINK = Color("#d77bba")

var selection_colors = [RED, ORANGE, YELLOW, GREEN, TURQ, BLUE, PURPLE, PINK]
var selection_color_index = 0


func _draw() -> void:
	
	if selection_color_index >= len(selection_colors):
		selection_color_index -= len(selection_colors)

	var selection_thickness = 2.0
	var selection_shape = PoolVector2Array([Vector2(-16,0), Vector2(0,8), Vector2(16, 0), Vector2(0, -8)])
	
	draw_colored_polygon(selection_shape, selection_colors[selection_color_index])
